#
# spec file for package wget (Version 1.10.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           wget
BuildRequires:  libpng-devel openssl-devel
Url:            http://wget.sunsite.dk/
License:        GPL v2 or later
Group:          Productivity/Networking/Web/Utilities
AutoReqProv:    on
Version:        1.10.2
Release:        78.2
Summary:        A Tool for Mirroring FTP and HTTP Servers
Source:         %name-%version.tar.bz2
Patch:          nops_doc.diff
Patch1:         toplev_destdir.diff
Patch2:         wget-1.9.1-brokentime.patch
Patch3:         wget-1.9.1-passive_ftp.diff
Patch6:         wget-1.10-fnmatch.diff
Patch7:         wget-1.10.1-strict-aliasing.diff
Patch8:         wget-ftp-restart.patch
Patch9:         wget-CAN-2004-1488.patch
Patch10:        wget-CVE-2006-6719.patch
Patch11:        wget-nullcerts.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %install_info_prereq

%description
Wget enables you to retrieve WWW documents or FTP files from a server.
This can be done in script files or via the command line.



Authors:
--------
    Hrvoje Niksic <hniksic@srce.hr>

%debug_package
%prep
%setup -q
%patch
%patch1
%patch2 -p1
%patch3
%patch6 -p1
%patch7 -p1
%patch8
%patch9
%patch10
%patch11
rename no nb $RPM_BUILD_DIR/wget*/po/no.*

%build
./autogen.sh
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -W -Wall -Wpointer-arith -Wno-unused-parameter -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -fstack-protector" \
./configure --prefix=%{_prefix} \
            --infodir=%{_infodir} \
            --sysconfdir=%{_sysconfdir} \
            --mandir=%{_mandir} \
	    --with-ssl \
	    --with-ipv4-default \
	    --enable-ipv6 \
	    --enable-LFS \
            %{_target_cpu}-suse-linux
make localedir=%{_datadir}/locale
make -C doc everything

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT;

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README MAILING-LIST PATCHES TODO
%doc doc/sample.wgetrc util/rmold.pl
%doc %{_mandir}/*/wget*
%doc %{_infodir}/wget*
%config(noreplace) %{_sysconfdir}/wgetrc
%{_bindir}/*
%{_datadir}/locale/*/*/*

%changelog
* Tue Aug 11 2009 - max@suse.de
- Fix vulnerability against SSL certificates with a zero byte in
  the common name field (wget-nullcerts.patch, bnc#528298).
* Wed Mar 28 2007 - max@suse.de
- Fixes a null pointer dereference (#231063, CVE-2006-6719)
* Thu Jun 22 2006 - max@suse.de
- Removed the unneeded fix for CAN-2004-1487
  (bugs #179369 and #185214).
- Filter escape responses from the HTTP server (CAN-2004-1488,
  bug #185265).
* Wed Feb 01 2006 - max@suse.de
- Fixed (hacked) restart of interrupted FTP transactions (#144410).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - mmj@suse.de
- Compile with -fstack-protector
* Fri Oct 14 2005 - mmj@suse.de
- Update to wget 1.10.2
* Mon Sep 19 2005 - mmj@suse.de
- Fix strict aliasing issues
* Tue Aug 30 2005 - mmj@suse.de
- Update to wget-1.10.1 which is a bugfix release [#113682]
* Mon Jun 13 2005 - mmj@suse.de
- Update to wget-1.10 which has LFS and non-experimental IPv6,
  among many other improvements and bugfixes
* Tue Apr 26 2005 - mmj@suse.de
- Fix the way fnmatch matches [#75791]
* Fri Apr 08 2005 - mmj@suse.de
- Add sanitizing URLs patch
- Add other patches
* Thu Mar 31 2005 - mmj@suse.de
- Don't double UTF-8 encode german messages [#74544]
* Fri Feb 11 2005 - mmj@suse.de
- Roll back to wget-1.9.1 since the wget tree with LFS support is
  too buggy. We rather want a functioning wget. [#47965]
* Mon Jan 31 2005 - ro@suse.de
- texi2html changed behaviour, adapt filelist
* Thu Dec 02 2004 - mmj@suse.de
- Update to 20041113 wget-LFS snapshot
- Fix NULL pointer assertion [#48748]
* Mon Nov 15 2004 - mmj@suse.de
- Use another version of the fix below
* Sun Nov 14 2004 - mmj@suse.de
- Add fix for using proxies [#47965]
* Mon Oct 18 2004 - mmj@suse.de
- locale no should correctly be nb so rename po/no* to po/nb*
* Mon Sep 27 2004 - mmj@suse.de
- Use LFS patch from Leonid Petrov [#37967] [#45084]
* Mon Jun 28 2004 - mmj@suse.de
- Fix what appears to be a copy/paste error in the dual-family
  IPv4+IPv6 patch [#42503].
* Thu Apr 01 2004 - mmj@suse.de
- Enable download of files > 2 GB [#37967]
- Remove old crufty comments
* Fri Feb 20 2004 - pth@suse.de
- Correctly set the charset for de.po to utf-8. Fixes #34708.
* Sun Feb 01 2004 - mmj@suse.de
- Update to 1.9.1 which is a bugfix release
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Tue Oct 28 2003 - mmj@suse.de
- Add patch for dual-family IPv4+IPv6 support from Ari Edelkind
* Mon Oct 27 2003 - mmj@suse.de
- Update to version 1.9 and remove patches, which was included
  upstream. 1.9 news:
  o specify what POST method be used for HTTP
  o IPv6 support is available, although it's still experimental
  o The `--timeout' option now also affects DNS lookup and
  establishing the TCP connection
  o Download speed shown by the progress bar is based on the data
  recently read, rather than the average speed of the entire
  download
  o It is now possible to connect to FTP servers through FWTK
  firewalls
  o The new option `--retry-connrefused' makes Wget retry
  downloads even in the face of refused connections
  o The new option `--dns-cache=off' may be used to prevent Wget
  from caching DNS lookups
  o Wget no longer escapes characters in local file names based
  on whether they're appropriate in URLs
  o Handling of HTML comments has been dumbed down to conform to
  what users expect and other browsers do: instead of being
  treated as SGML declaration, a comment is terminated at the
  first occurrence of "-->"
  o Wget now correctly handles relative URIs that begin with "//"
  o Boolean options in `.wgetrc' and on the command line now
  accept values "yes" and "no" along with the traditional "on"
  and "off"
  o It is now possible to specify decimal values for timeouts,
  waiting periods, and download rate.
* Tue Jul 15 2003 - pthomas@suse.de
- Add security fix to unconditionally terminate the filename
  in url.c(compose_file_name).
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Apr 01 2003 - schwab@suse.de
- Define _GNU_SOURCE to fix missing declarations.
* Fri Mar 07 2003 - ro@suse.de
- fix build with current autoconf
* Thu Mar 06 2003 - pthomas@suse.de
- Add missing change log entry.
* Wed Mar 05 2003 - pthomas@suse.de
- Add security fix that makes wget check for '..' and '/' in
  file names.
* Wed Feb 12 2003 - kukuk@suse.de
- Remove ps and pdf documenation, info, man and html are enough.
  [Bug #23592]
* Tue Feb 11 2003 - mmj@suse.de
- Use %%install_info macro [#23468]
- Don't remove $RPM_BUILD_ROOT without checking it's not "/"
* Thu Oct 24 2002 - pthomas@suse.de
- Change wgetrc to make wget use passive_ftp per default.
* Wed Aug 07 2002 - mmj@suse.de
- Update to 1.8.2 which is a bugfix release.
* Wed Jul 10 2002 - okir@suse.de
- added patch for IPv6 support
* Tue May 14 2002 - meissner@suse.de
- replaced assert msecs>=0 by if (msecs<0) msecs=0. (stupid assert)
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 14 2002 - bk@suse.de
- marked wgetrc as noreplace, format is compatible to older versions
* Mon Jan 07 2002 - pthomas@suse.de
- Upgrade to 1.8.1
* Thu Dec 13 2001 - pthomas@suse.de
- Upgrade to 1.8
- Regenerate pdf_doc.diff
- Drop ppc specific patch as it's not needed anymore.
- Install all HTML pages and not only the table of contents.
- Pass DESTDIR on from the toplevel Makefile.
* Mon Aug 20 2001 - olh@suse.de
- add wget-1.7.ppc.diff to fix segfault on ppc
* Fri Jun 08 2001 - pthomas@suse.de
- Upgrade to 1.7.
- Add a target to doc/Makefile to build a PDF version of the
  documentation.
- Compile with SSL support (for HTTPS).
* Fri May 25 2001 - bjacke@suse.de
- apply and enable IPv6 patch
- add Debian's manpage
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Fri Mar 30 2001 - pthomas@suse.de
- Apply my patch accepted for wget 1.7 that replaces ctype.h
  with safe-ctype.h, a locale independent version of ctype.h
  taken from libiberty. This makes setting LC_CTYPE safe.
* Thu Mar 08 2001 - ke@suse.de
- Build and install a printable manual (PDF).
* Thu Mar 01 2001 - pthomas@suse.de
- Set LC_CTYPE along with LC_MESSAGES to correctly display
  messages in locales other then C/POSIX.
* Wed Feb 14 2001 - schwab@suse.de
- Fix large file support (#2647).
* Mon Jan 22 2001 - ke@suse.de
- Update to version 1.6.
- wget.spec: Use proper rpm macros.
- Add README.SuSE
- Drop security patch (cf. 1999-02-09 and README.SuSE); not needed any
  longer.
- Lost large file support (cf. README.SuSE); reopen #2647.
* Fri Jun 09 2000 - schwab@suse.de
- Change all values that count bytes from long to unsigned long (#2647).
* Sun Feb 20 2000 - ke@suse.de
- General spec file cleanup:
- add group tag.
- use various macros (%%{version}, %%{_infodir}).
- ./configure -> %%build.
* Sat Oct 02 1999 - ke@suse.de
- Add more PO files from
  http://www.iro.umontreal.ca/~pinard/po/HTML/domain-wget.html.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Feb 09 1999 - ke@suse.de
- Security fix (proposed by marc).
* Sun Jan 17 1999 - ke@suse.de
- apply patch (new de.po).
- fix BuildRoot.
* Thu Sep 24 1998 - ke@suse.de
- Update: wget-1.5.3 (bug fix release).
* Fri Jun 26 1998 - ke@suse.de
- Update: wget-1.5.2 (bug fix release).
- Make BuildRoot work.
* Tue May 12 1998 - ke@suse.de
- update: wget-1.5.1 (bug fix release).
* Fri Apr 24 1998 - ke@suse.de
- enable NLS.
* Thu Apr 23 1998 - ke@suse.de
- update: wget-1.5.0.
* Sat Jun 21 1997 - Karl Eichwalder <ke@suse.de>
  * patch from Hrvoje Niksic to prevent crashes if you are using
  proxy authorization.
* Mon May 19 1997 - Karl Eichwalder <ke@suse.de>
  * new package: wget-1.4.5
